GET /countries

Lists all countries and its regions, indexed by its two-letter country codes. FIRST follows ISO 3166-1 standard for country code and name listings.

| Repository | Endpoint URL | Credentials | |------------------|-----------------------------------------|-------------| | FIRST API v1 | https://api.first.org/data/v1/countries | Public |

Additional Parameters

These parameters may also be added to the query string to filter the results:

| Parameter | Type | Description | |------------|--------|-----------------------------------------------------------------| | region | string | Region of the country. | | q | string | Free text search at the country name, abbreviations and region. |

Scope

These are the allowed scope for the FIRST Mailing Lists dataset:

| Scope | Description | |----------------------|---------------------------------------------------------------------------------------------| | public (default) | Shows country name and region indexed by a two-letter abbreviation. | | iso | Shows country name and region indexed by a three-letter abbreviation (ISO and IOC default). | | full | Shows country name, region and abbreviations (2 and 3-letters). |

Response

The response object contains a list of valid lists:

curl -X GET "https://api.first.org/data/v1/countries?region=africa&limit=3&pretty=true"
{
    "status": "OK",
    "status-code": 200,
    "version": "1",
    "total": 57,
    "limit": 3,
    "offset": 0,
    "access": "public",
    "data": {
        "DZ": {
            "country": "Algeria",
            "region": "Africa"
        },
        "AO": {
            "country": "Angola",
            "region": "Africa"
        },
        "BJ": {
            "country": "Benin",
            "region": "Africa"
        }
    }
}